## wxMBConvUTF7

This class converts between the UTF-7 encoding and Unicode. It has one predefined instance, wxConvUTF7.

WARNING: this class is not implemented yet.

Derived from

wxMBConv

Include files

<wx/strconv.h>

See also

wxMBConvUTF8, wxMBConv classes overview

Members

wxMBConvUTF7::MB2WC
wxMBConvUTF7::WC2MB

### wxMBConvUTF7::MB2WC

size_t MB2WC(wchar_t* buf, const char* psz, size_t n) const

Converts from UTF-7 encoding to Unicode. Returns the size of the destination buffer.

### wxMBConvUTF7::WC2MB

size_t WC2MB(char* buf, const wchar_t* psz, size_t n) const

Converts from Unicode to UTF-7 encoding. Returns the size of the destination buffer.